<style type="text/css">
ul {list-style-type: none;}
td, body { font-family: sans-serif; font-size: 13px;} 
td{color:#5F5959;}
li label { float: left; width: 120px; }
tr.hdr { background-color: #777;border:1px solid #ffffff;}
tr.hdr td { color: #fff; }
li.collection {border:1px solid #37A7DF; color: #000; font-size: 12px; padding: 5px; font-weight: bold;margin-top:10px;}
.collectioncolor1 {background-color: #ffee33;border:1px solid #37A7DF; color: #777; font-size: 12px; padding: 5px; font-weight: bold;margin-top:10px;}
.collectioncolor2 {border:1px solid #37A7DF; color: #000; font-size: 12px; padding: 5px; font-weight: bold;margin-top:10px;background-color: #ffbb33;}
.collectioncolor3 {border:1px solid #37A7DF; color: #000; font-size: 12px; padding: 5px; font-weight: bold;margin-top:10px;background-color: #ff9933;}
.collectioncolor4 {border:1px solid #37A7DF; color: #000; font-size: 12px; padding: 5px; font-weight: bold;margin-top:10px;background-color: #ff5522;}
.collectioncolor5 {border:1px solid #37A7DF; color: #0000FF; font-size: 12px; padding: 5px; font-weight: bold;margin-top:10px;background-color: #ff4422;}
.pad1{padding:5px 0 0 9px;}
div.od {float:left; width:100px; border:1px solid; height:12px; margin: 0px 5px 0 0;}
div.od div {height:12px;}
.inc0 {background-color: #ffffdd;}
.inc1 {background-color: #ffee33;}
.inc2 {background-color: #ff9933;}
.inc3 {background-color: #ff4422;}

</style>
<script type="text/javascript" language="JavaScript">
function t(id,w){
	if(w.innerHTML == 'View'){
		jQuery('#' + id).show();
		w.innerHTML = 'Hide';
	}else{
		jQuery('#' + id).hide();
		w.innerHTML = 'View';
	}
	return false;
}
</script>
<div class="wrap">
<div  class="welcome-panel">
    <div class="icon32" style="background-image:url(<?php echo plugins_url( '/images/news_icon.png', __FILE__ );?>); background-repeat: no-repeat;"><br /></div>
<h2>phpMyProfiler Profile log from <?php echo basename($parser);?> </h2>
<div class="inside">
<?php

function getTotalDuration($data){
	$rv = 0;
	if(!is_array($data) or count($data) == 0) return 0;
	foreach($data as $entry)
		$rv += $entry['Duration'];
	return $rv;
}

function showOutput($profile, $timeduration){
    $querytime = $profile['Duration'];
    $percentage = 0;
    if($querytime > 0 && $timeduration > 0)
    $percentage = floor($querytime /$timeduration * 100);

    switch(true)
    {
        case ($percentage < 10):
           $csscolor = 'c0';
           break;
        case ($percentage > 10 and $percentage < 40):
           $csscolor = 'c1';
           break;
        case ($percentage > 40 and $percentage < 70):
           $csscolor = 'c2';
           break;
        case ($percentage > 70):
           $csscolor = 'c3';
           break;
    }

	echo '<ul>';
	echo '<li><div class="od" title="'.$percentage.'%"><div class="in'.$csscolor.'" style="width:'.$percentage.'%;"></div></div><label>' . $querytime . '</label>' . htmlentities($profile['Query']) . '</li>';
	$titles = $profile['detail'][0];
	unset($titles['seq']);		
	echo '<li><table width="100%" border="0" style="background-color: #9FDFFF;border:1px solid #37A7DF;">'
		. '<tr class="hdr"><td>' . join('</td><td>', array_keys($titles)) . '</td></tr>';
	foreach($profile['detail'] as $detail){
		unset($detail['seq']);	
		echo '<tr><td>' . join('</td><td>', array_values($detail)) . '</td></tr>';
	}
	echo '</table></li></ul><br /><br />';
}
	
function formatData($data){
	if(!is_array($data['profiles']) or count($data['profiles']) == 0) return;
	$id = uniqid("");
$timeduration = getTotalDuration($data['profiles']);
$css='';
if($timeduration > 1)
	$css = 'color'.floor($timeduration);
if($timeduration > 5)
	$css = 'color5';



	echo '<li class="collection'.$css.'" >'
			.'SQL Duration: ' . $timeduration
			.'&nbsp;&nbsp;URL: <b>' . $data['instance']['request']. '</b>'
			.'&nbsp;&nbsp;TIME: '. date("M d, Y H:i:s a", $data['instance']['timestamp'])
			.'</li>';
	if(!empty($data['hostinfo'])){
		    echo '<li class="pad1">Connection Info:' . $data['hostinfo'] . '</li>';
	}		
	echo '<li class="pad1">No of Profiles: ' . count($data['profiles']).' &nbsp<a href="#" onclick="return t(\'' . $id . '\', this);">View</a></li>';

	echo '<li style="display:none;" id="'.$id.'">';
	foreach($data['profiles'] as $k => $profile){
	   showOutput($profile, $timeduration);
	   //echo $k, ': <br />', print_r($profile, 1);
	}
	echo '</li>';
}

$fp = fopen($parser,"r");

echo '<ul>';
while($line = fgets($fp)){
    if(trim($line) == '#PhpMyProfiler') continue;
	ob_start();
	$data = unserialize(gzuncompress(base64_decode(trim($line))));
	ob_end_clean();

	formatData($data);
}

echo '</ul>';
?>
    </div>
</div>
</div>
